Which devices are compatible with the MIO LINK/VELO?

ANT+ DEVICES

APPLE DEVICES

  • iPhone: 4S and higher
  • iPad: 3rd Generation, 4th Generation, Air
  • iPad Mini: 1st Generation, 2nd Generation
  • iPod Touch: 5th Generation

ANDROID DEVICES

Mio Global does not guarantee compatibility with all of the following devices. Be sure to check with your device manufacturer or carrier to confirm that your device meets the system requirements explained under the Android System Requirements section.

Compatible Android Devices (with Bluetooth 4.0):

  • Google Nexus 4, 5
  • Samsung S4, S5, Note 3

Android System Requirements:

  1. Your device has Android version 4.3 or higher.
  2. Your device has Bluetooth 4.0
  3. Your app supports both of the above

If you’re unsure about whether your Android device meets the above requirements, check with your device manufacturer and carrier.

 

Verify that your Android version is 4.3 or higher.